> ## Documentation Index
> Fetch the complete documentation index at: https://fermata-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Balance To User's Account

> Add some form of balance to a user's account and charge them for it



## OpenAPI

````yaml POST /v1/accounts/{account_id}/deposit
openapi: 3.1.0
info:
  version: '0.1'
  title: Fermata API
  summary: >-
    Fermata is a billing engine that supports prepaid balances and real-time
    usage computation
  description: ''
servers:
  - url: https://api.gofermata.com
security:
  - apiKey: []
paths:
  /v1/accounts/{account_id}/deposit:
    post:
      summary: Add Balance To User's Account
      description: Add some form of balance to a user's account and charge them for it
      operationId: post-account-account_id-addbalance
      parameters:
        - name: X-DedupeId
          in: header
          description: >-
            Used to prevent duplicate requests. Two of the same DedupeId won't
            be allowed within 1 hour if header exists
          schema:
            type: string
        - name: account_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                amount_to_deposit:
                  type: integer
                amount_to_charge:
                  type: integer
                charge_against_denomination:
                  type: string
                  description: >-
                    Charge against another one of the user's denomination
                    balances instead of credit card
              required:
                - amount_to_deposit
                - amount_to_charge
      responses:
        '200':
          description: OK
      security:
        - apiKey: []
      servers:
        - url: https://api.gofermata.com
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: basic

````